summaryrefslogtreecommitdiffstats
path: root/source/d/automake
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/automake')
-rwxr-xr-xsource/d/automake/automake.SlackBuild5
-rw-r--r--source/d/automake/automake.python.3.10.diff22
2 files changed, 26 insertions, 1 deletions
diff --git a/source/d/automake/automake.SlackBuild b/source/d/automake/automake.SlackBuild
index 962d106bd..6fbc3b063 100755
--- a/source/d/automake/automake.SlackBuild
+++ b/source/d/automake/automake.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=automake
VERSION=${VERSION:-$(echo automake-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-4}
# Note: the package is _built_ as 'noarch'
# Automatically determine architecture for build & packaging:
@@ -63,6 +63,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Python detection fix for 3.10:
+zcat $CWD/automake.python.3.10.diff.gz | patch -p1 --verbose || exit 1
+
./configure \
--prefix=/usr \
--mandir=/usr/man \
diff --git a/source/d/automake/automake.python.3.10.diff b/source/d/automake/automake.python.3.10.diff
new file mode 100644
index 000000000..02dd7348f
--- /dev/null
+++ b/source/d/automake/automake.python.3.10.diff
@@ -0,0 +1,22 @@
+--- ./m4/python.m4.orig 2020-01-01 13:43:28.000000000 -0600
++++ ./m4/python.m4 2021-10-15 11:40:40.523668203 -0500
+@@ -86,12 +86,14 @@
+ m4_default([$3], [AC_MSG_ERROR([no suitable Python interpreter found])])
+ else
+
+- dnl Query Python for its version number. Getting [:3] seems to be
+- dnl the best way to do this; it's what "site.py" does in the standard
+- dnl library.
+-
++ dnl Query Python for its version number. Although site.py simply uses
++ dnl sys.version[:3], printing that failed with Python 3.10, since the
++ dnl trailing zero was eliminated. So now we output just the major
++ dnl and minor version numbers, as numbers. Apparently the tertiary
++ dnl version is not of interest.
++ dnl
+ AC_CACHE_CHECK([for $am_display_PYTHON version], [am_cv_python_version],
+- [am_cv_python_version=`$PYTHON -c "import sys; sys.stdout.write(sys.version[[:3]])"`])
++ [am_cv_python_version=`$PYTHON -c "import sys; print ('%u.%u' % sys.version_info[[:2]])"`])
+ AC_SUBST([PYTHON_VERSION], [$am_cv_python_version])
+
+ dnl Use the values of $prefix and $exec_prefix for the corresponding